Quote link decline
curl --request POST \
--url https://api.sortx.co.uk/p/:tenant/quote-request/decline \
--header 'Content-Type: application/json' \
--data '
{
"requestId": "<string>",
"reason": "<string>",
"note": "<string>"
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({requestId: '<string>', reason: '<string>', note: '<string>'})
};
fetch('https://api.sortx.co.uk/p/:tenant/quote-request/decline', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/p/:tenant/quote-request/decline"
payload = {
"requestId": "<string>",
"reason": "<string>",
"note": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"agency": {
"name": "<string>",
"timeZone": "<string>"
},
"contractorName": "<string>",
"status": "<string>",
"statusNote": "<string>",
"expiresAt": "<string>",
"dueOn": "<string>",
"notes": "<string>",
"job": {
"reference": "<string>",
"category": "<string>",
"description": "<string>",
"urgency": "<string>",
"property": "<string>"
},
"quote": {
"amountMinor": 123,
"currency": "<string>",
"vatMinor": 123,
"earliestStartOn": "<string>",
"description": "<string>",
"hasFile": true
}
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}maintenance-pro-public
Quote link decline
Decline a quote request by signed link
POST
/
p
/
:tenant
/
quote-request
/
decline
Quote link decline
curl --request POST \
--url https://api.sortx.co.uk/p/:tenant/quote-request/decline \
--header 'Content-Type: application/json' \
--data '
{
"requestId": "<string>",
"reason": "<string>",
"note": "<string>"
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({requestId: '<string>', reason: '<string>', note: '<string>'})
};
fetch('https://api.sortx.co.uk/p/:tenant/quote-request/decline', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/p/:tenant/quote-request/decline"
payload = {
"requestId": "<string>",
"reason": "<string>",
"note": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"agency": {
"name": "<string>",
"timeZone": "<string>"
},
"contractorName": "<string>",
"status": "<string>",
"statusNote": "<string>",
"expiresAt": "<string>",
"dueOn": "<string>",
"notes": "<string>",
"job": {
"reference": "<string>",
"category": "<string>",
"description": "<string>",
"urgency": "<string>",
"property": "<string>"
},
"quote": {
"amountMinor": 123,
"currency": "<string>",
"vatMinor": 123,
"earliestStartOn": "<string>",
"description": "<string>",
"hasFile": true
}
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}Query Parameters
Response
Success